Bug 12595 - Depends on python-module-pygtk-devel
: Depends on python-module-pygtk-devel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-gst)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-21 01:24 by
Modified: 2007-09-12 17:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-21 01:24:07
Зависимость библиотечного пакета от пакета -devel выглядит не слишком
адекватной.  Есть ли реальная мотивация к ней или это шутки автоматического
проставления зависимостей?
------- Comment #1 From 2007-08-21 14:20:11 -------
(In reply to comment #0)
> Зависимость библиотечного пакета от пакета -devel выглядит не слишком
> адекватной.  Есть ли реальная мотивация к ней или это шутки автоматического
> проставления зависимостей?

Надо посмотреть.
------- Comment #2 From 2007-08-28 17:08:02 -------
Нашёл почему:
[icesik@iceberg ~]$ cat /usr/lib/pkgconfig/gst-python-0.10.pc | grep Requ
Requires: pygtk-2.0, gstreamer-0.10
[icesik@iceberg ~]$ rpm -qf /usr/lib/pkgconfig/gst-python-0.10.pc
python-module-gst-0.10.7-alt1
[icesik@iceberg ~]$ 

Что делать будем? Предлагаю просто перенести этот файл в отдельный подпакет -devel.
------- Comment #3 From 2007-08-28 17:12:32 -------
Разумеется. Файлы .pc - это файлы для разработки/сборки, точно также как файлы
%_includedir/*/*.h и тому подобные.
------- Comment #4 From 2007-08-28 17:15:17 -------
(In reply to comment #3)
> Разумеется. Файлы .pc - это файлы для разработки/сборки, точно также как файлы
> %_includedir/*/*.h и тому подобные.

Так в том-то дилема, там только один этот файл
(/usr/lib/pkgconfig/gst-python-0.10.pc). Ради одного файла делать подпакет -- не
знаю на сколько разумно.

Так всё таки делать?
------- Comment #5 From 2007-08-28 17:30:00 -------
Да, потому что лично мне не улыбается держать на пользовательской системе целую
связку из пакетов -devel, там pygtk-devel неплохо так вытягивает за собой,
начиная с libgtk+2-devel, собственно. Один файл так один.
------- Comment #6 From 2007-08-28 17:38:39 -------
(In reply to comment #5)
> Да, потому что лично мне не улыбается держать на пользовательской системе целую
> связку из пакетов -devel, там pygtk-devel неплохо так вытягивает за собой,
> начиная с libgtk+2-devel, собственно. Один файл так один.

Принято.
------- Comment #7 From 2007-08-28 17:57:26 -------
fixed in python-module-gst-0.10.7-alt2